<?php
/*
 * Copyright (C) 2007 Niek Linnenbank <niek.linnenbank@planet.nl>
 */

/*
 * Make sure we are not directly invoked
 */
if(!defined("INDEX"))
	die();

/*
 * Column - a class used to abstract columns of an HTML table
 */
class Column {
	
	private $width;
	private $height;
	private $align;
	private $title;
	private $cssClass;
	
	/*
	 * Column - the class constructor
	 */
	public function Column($title, $width, $height, $align, $cssClass) {
		$this->title    = $title;
		$this->width    = $width;
		$this->height   = $height;
		$this->align    = $align;
		$this->cssClass = $cssClass;
	}
	
	/*
	 * html - output this column in HTML
	 */
	public function html() {
		return "<td width=\"$this->width\" height=\"$this->height\" align=\"$this->align\" class=\"$this->cssClass\">$this->title</td>\n";
	}
}

?>
