<?php
/*
 * Copyright (C) 2007 Niek Linnenbank <niek.linnenbank@planet.nl>
 */

/*
 * Make sure we are not directly invoked
 */
if(!defined("INDEX"))
	die();

/*
 * Row - a class used to abstract rows of an HTML table
 */
class Row {
	
	private $content;
	private $height;
	private $align;
	private $valign;
	private $colspan;
	private $rowspan;
	private $cssClass;
	
	/*
	 * Row - the class constructor
	 */
	public function Row($content, $height, $align, $valign, $colspan, $rowspan, $cssClass) {
		$this->content  = $content;
		$this->height   = $height;
		$this->align    = $align;
		$this->valign   = $valign;
		$this->colspan  = $colspan;
		$this->rowspan  = $rowspan;
		$this->cssClass = $cssClass;
	}
	
	/*
	 * html - output the row in HTML
	 */
	public function html() {
		return "<td align=\"$this->align\" valign=\"$this->valign\" height=\"$this->height\"" .
			" colspan=\"$this->colspan\" rowspan=\"$this->rowspan\" class=\"$this->cssClass\">$this->content</td>\n";
	}
}

?>
