<?php
/*
 * Copyright (C) 2007 Niek Linnenbank <niek.linnenbank@planet.nl>
 */

/* Make sure we are not directly invoked */
if(!defined("INDEX"))
	die();

/**
 * Class for pages.
 * This class is used to create pages.
 */
class Page {

	/**
	 * Handler for a HTTP GET.
	 * This function is called when a client does a HTTP GET to the page.
	 */
	public function get() {
		Output::htmlError("Sorry, the page you requested does not support HTTP GET");
	}
	
	/**
	 * Handler for a HTTP POST.
	 * This function is called when a client does a HTTP POST to the page.
	 */
	public function post() {
		Output::htmlError("Sorry, the page you requested does not support HTTP POST");
	}
}

?>
